#!/bin/bash

if [ "$1" = "install" ]
then

  cd jhead/libjhead
  make install

elif [ "$1" = "clean" ]
then

  cd jhead; make clean
  rm -r *.o core* *~

  cd libjhead; make clean
  rm -r .ui .moc .obj ../../../lib/libjhead*
  rm Makefile Makefile.interface *~ core*

  cd jheadGui; make clean
  rm -r .ui .moc .obj jheadGui
  rm Makefile *~ core*

  rm ../lib/*

else

  cd jhead/libjhead
  $QTDIR/bin/qmake && make

  cd jheadGui
  $QTDIR/bin/qmake && make 

fi;

